Bug 23836 - tracklinks.pl should not forward if TrackClicks is disabled
Summary: tracklinks.pl should not forward if TrackClicks is disabled
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 23329
Blocks: 24144
  Show dependency treegraph
 
Reported: 2019-10-17 15:25 UTC by Nick Clemens
Modified: 2020-06-04 20:38 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23836: Don't forward form tracklinks if not tracking (974 bytes, patch)
2019-10-17 15:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23836: Don't forward form tracklinks if not tracking (1.02 KB, patch)
2019-10-30 12:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23836: exit after output_error (989 bytes, patch)
2019-10-30 12:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23836: Don't forward form tracklinks if not tracking (1.12 KB, patch)
2019-11-01 07:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23836: exit after output_error (1.06 KB, patch)
2019-11-01 07:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-10-17 15:25:39 UTC
bug 23329 makes sure that we only track/forward links if they are in a biblio - really, if we aren't tracking there is no reason to offer forwarding at at all.
Comment 1 Nick Clemens 2019-10-17 15:26:41 UTC
Created attachment 94376 [details] [review]
Bug 23836: Don't forward form tracklinks if not tracking
Comment 2 Jonathan Druart 2019-10-30 12:16:10 UTC
Created attachment 94872 [details] [review]
Bug 23836: Don't forward form tracklinks if not tracking

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2019-10-30 12:16:14 UTC
Created attachment 94873 [details] [review]
Bug 23836: exit after output_error

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2019-10-30 12:18:06 UTC
Looks like Koha::Linktracker->new should return undef if the pref is not set, but... TODO LATER.
Comment 5 Marcel de Rooy 2019-11-01 07:02:32 UTC
Created attachment 94935 [details] [review]
Bug 23836: Don't forward form tracklinks if not tracking

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2019-11-01 07:02:37 UTC
Created attachment 94936 [details] [review]
Bug 23836: exit after output_error

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Lucas Gass 2019-11-22 19:02:59 UTC
this is applied to the 18.11.x security branch for 18.11.11
Comment 8 Martin Renvoize 2019-11-27 10:33:45 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Jonathan Druart 2019-12-02 15:47:51 UTC
We were pretty bad here guys, tests have not been adjusted.